<?php

	// SETUP API INFO
	$axisapi_key		= "YOUR-KEY";						
	$axisapi_server		= "https://your.server.url/";	// include trailing slash
	
	// INCLUDE API SDK
	require_once "lib/axisapi.sdk.php";

    // CALL API - XML EXAMPLE
    $result	= axisapi\call([    
        "endpoint" => "report/getcourseinfo", 
        "p1" => "admin",
        "p2" => "Course 101",
        "returntype" => "xml"
    ]);
    

    // DISPLAY RESULTS
    $xml 	= simplexml_load_string( $result );

    foreach( $xml->children() as $child ) {
        echo "<div style='width:50%; padding:10px; margin:10px; border:1px solid #888'>
                <div style='background-color:#ccc;padding:5px'>" 
             .     $child->getName() 
             .  "</div>";
        
        $tags = axisapi\getTagNames( (string)$child );
        foreach ( $tags as $datatag ) {
            echo "<div style='padding:3px;border-bottom:1px solid #ccc'>{$datatag}: "
                 . axisapi\getTagData($datatag, $child) 
                . "</div>";
        }
        
        echo "</div>";

	}

?>